Subject: Re: [PATCH -mm 2/10][RFC] aio: net use struct socket for io

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 16 Jan 2007 13:24:21 +0300

On Mon, Jan 15, 2007 at 09:44:27PM -0800, Stephen Hemminger ([email-masked]) wrote:
> > The sendmsg and recvmsg socket operations take a kiocb pointer, but none of
> > the functions actually use it.  There's really no need even theoretically,
> > it's really quite ugly having it there at all.  Also, removing it will pave
> > the way for a more generic completion path in the file_operations.
> > 
> > ---
> 
> Would getting rid of these make later implementation of AIO networking
> harder?

Depending on what AIO it will be.
Mainstream AIO does stand on kiocb, but if socket operations will be
extended to have additional async_read/write (like it as done in kevent
AIO) there is no need to have this pointer in sync operations (until
people want to have sync aio just as async with waiting for completion).

So, real question is, what next - how network AIO will be implemented?

-- 
	Evgeniy Polyakov